Problem z logowaniem w WordPress 2.7.1

Kiedy zalogowałem się dzisiaj do panelu administracyjnego zobaczyłem, ze WP domaga się aktualizacji do wersji 2.7.1 (miałem 2.7). Dla bezpieczeństwa zrobiłem więc rutynowy backup bazy (korzystając ze świetnej wtyczki WordPress Database Backup) i kliknąłem autoaktualizację WordPressa. Wszystko trwało kilka sekund i przebiegło (jak mi się początkowo zdawało) bez żadnych problemów. Jakże wielkie było moje zdziwienie, kiedy chciałem się zalogować do panelu administracyjnego i zamiast Dashboarda zobaczyłem komunikat mówiący, ze nie mam wystarczających uprawnień do oglądania tej strony (!). Próbowałem wpisywać login i hasło kilka razy, usuwałem cookie – na nic. Kilka minut Googlania wyjaśniło jednak sprawę. Problemem okazał się być, dodany w wersji 2.7 WordPressa, czwarty „Security Key” w pliku wp-config.php. Wszystko wskazuje na to, że gdy upgradowałem WP ze starszej wersji do 2.7, nie dodałem go (jednak wtedy nie zobaczyłem żadnych niepokojących objawów z tym związanych).

A zatem, zgodnie z sugestią z Codexa WP, wygenerowanie odpowiednich kluczy i zamianę tej części pliku wp-config.php:

na coś w stylu (zwróćcie szczególną uwage na nowy, czwarty klucz NONCE_KEY):

Komentarze

  1. voogee

    Dzięki Kamil – Ty chyba powinieneś dodać na swoim blogu tagline: „Wujek Dobra Rada” 😉 Dobrze mieć Cię w bookmarkach 👿

  2. zcorsez

    Hey!
    Tak naprawdę trafiłem tu przez gogle, szukając rozwiązania problemu. Jestem raczej laikiem w kodowaniu. Twoje powyższe rozwiązanie właśnie uratowało mój tyłek po niemal dwutygodniowych poszukiwaniach rozwiązania. Po prostu dzięki. Kurde- wielkie DZIEI i szacun za wysiłki.

Dodaj komentarz